View Issue Details

IDProjectCategoryView StatusLast Update
0025112mantisbtotherpublic2019-01-02 17:25
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.19.0 
Target Version2.19.0Fixed in Version2.19.0 
Summary0025112: Link to create new user is a form and prevents reloading
Description

This can be seen when:

  • go to manage_user_page.php, and click on "create new account" button
  • fill new user fields, leaving and incorrect email
    An error will show for invalid data, as expected.
    Going back in browser says ERR_CACHE_MISS and is asking to "resubmit the form". After reloading, the original filled data is lost.

By changing the inital button to a link, the browser goes back to the page without issues.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master da62c7bf

2018-12-29 05:21:53

cproensa


Committer: dregad Details Diff
Change "new account" button into a link

The "new account" button is implemented as a standalone form, but since
the destination page is not required to do any action, a link is best
suited instead.

A link button also avoids browser warnings when going back (eg, after a
validation error when submitting the actual form).

Fixes: 0025112
Affected Issues
0025112
mod - manage_user_page.php Diff File

Issue History

Date Modified Username Field Change
2018-12-25 05:58 cproensa New Issue
2018-12-25 05:58 cproensa Status new => assigned
2018-12-25 05:58 cproensa Assigned To => cproensa
2018-12-25 06:06 cproensa Note Added: 0061096
2018-12-26 06:13 atrol Target Version => 2.19.0
2018-12-29 05:21 dregad Changeset attached => MantisBT master da62c7bf
2018-12-29 05:21 cproensa Status assigned => resolved
2018-12-29 05:21 cproensa Resolution open => fixed
2018-12-29 05:21 cproensa Fixed in Version => 2.19.0
2019-01-02 17:25 vboctor Status resolved => closed